Bug 810915 - corosync filling up /dev/shm
corosync filling up /dev/shm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync (Show other bugs)
6.2
x86_64 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jan Friesse
Cluster QE
: ZStream
Depends On: 797192
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 11:53 EDT by RHEL Product and Program Management
Modified: 2012-04-30 13:39 EDT (History)
13 users (show)

See Also:
Fixed In Version: corosync-1.2.3-21.el6_0.7
Doc Type: Bug Fix
Doc Text:
Previously, the underlying library of corosync did not delete temporary buffers used for Inter-Process Communication (IPC) that are stored in the /dev/shm shared memory file system. Therefore, if the user without proper privileges attempted to establish an IPC connection, the attempt failed with an error message as expected but memory allocated for temporary buffers was not released. This could eventually result in /dev/shm being fully used and Denial of Service. This update modifies the coroipcc library to let applications delete temporary buffers if the buffers were not deleted by the corosync server. The /dev/shm file system is no longer cluttered with needless data in this scenario and IPC connections can be established as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-30 13:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
6.0.z-bz810915-1-Unlink-shm-buffers-if-init-fails (1.49 KB, patch)
2012-04-23 03:31 EDT, Jan Friesse
no flags Details | Diff

  None (edit)
Description RHEL Product and Program Management 2012-04-09 11:53:16 EDT
This bug has been copied from bug #797192 and has been proposed
to be backported to 6.0 z-stream (EUS).
Comment 4 Jan Friesse 2012-04-23 03:31:23 EDT
Created attachment 579428 [details]
6.0.z-bz810915-1-Unlink-shm-buffers-if-init-fails
Comment 7 Miroslav Svoboda 2012-04-26 08:32:18 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the underlying library of corosync did not delete temporary buffers used for Inter-Process Communication (IPC) that are stored in the /dev/shm shared memory file system. Therefore, if the user without proper privileges attempted to establish an IPC connection, the attempt failed with an error message as expected but memory allocated for temporary buffers was not released. This could eventually result in /dev/shm being fully used and Denial of Service. This update modifies the coroipcc library to let applications delete temporary buffers if the buffers were not deleted by the corosync server. The /dev/shm file system is no longer cluttered with needless data in this scenario and IPC connections can be established as expected.
Comment 8 errata-xmlrpc 2012-04-30 13:39:54 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0534.html

Note You need to log in before you can comment on or make changes to this bug.